Subject: Re: [Teas] I-D Action: draft-ietf-teas-rsvp-egress-protection-01.txt

From: Huaimo Chen <[email-masked]>
Date: Fri, 13 Mar 2015 22:05:54 +0000

Hi Everyone,

    We addressed the comments from Lou in this version. 
    We believe that this draft is ready for WGLC. Any new comments and suggestions are welcome.

Best Regards,
Huaimo
-----Original Message-----
From: Teas [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, February 03, 2015 11:08 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Teas] I-D Action: draft-ietf-teas-rsvp-egress-protection-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Traffic Engineering Architecture and Signaling Working Group of the IETF.

        Title           : Extensions to RSVP-TE for LSP Egress Local Protection
        Authors         : Huaimo Chen
                          Ning So
                          Autumn Liu
                          Tarek Saad
                          Fengman Xu
	Filename        : draft-ietf-teas-rsvp-egress-protection-01.txt
	Pages           : 17
	Date            : 2015-02-03

Abstract:
   This document describes extensions to Resource Reservation Protocol -
   Traffic Engineering (RSVP-TE) for locally protecting egress nodes of
   a Traffic Engineered (TE) Label Switched Path (LSP), which is a
   Point-to-Point (P2P) LSP or a Point-to-Multipoint (P2MP) LSP.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-teas-rsvp-egress-protection/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-teas-rsvp-egress-protection-01

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-teas-rsvp-egress-protection-01

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: Lou Berger <[email-masked]>
Date: Wed, 18 Mar 2015 08:41:08 -0400

Huaimo, Co-authors, WG,

A general comment: When addressing comments sent to the list, please 
respond directly to the message containing the comments and discuss the
details of how you (plan to) address the comment.  Alternatively, you
can summarize the details of each issue resolution in a single message
after publication of a new version.  In other words "We addressed the
comments from..." is a bit too terse.

Thanks,
Lou

---

From: Huaimo Chen <[email-masked]>
Date: Thu, 19 Mar 2015 01:43:00 +0000

Hi Lou,

    Thank you very much.
    Your comments were addressed in the updated draft as follows:

> - You have a lot of names on the front page.  The RFC editor's guidance is a max of 5 names on the front page.  Getting to this number will smooth the publication  process.
[Huaimo] Keep 5 names on the front page in the updated draft.
>
> - There are a number of nits that would be good to clean up.
[Huaimo] Cleaned up.
>
> - You have conformance (RFC2119) language in informative text 
[Huaimo] Removed conformance language in informative text.
>
> - You mention GMPLS, which is good, but don't mention how the document relates to RFC4872 and 4873.  I'm not saying that the document can't be limited to FRR protection, but do want to at least discuss if a unified approach can be found for FRR and 4873 style segment protection.  The conclusion of this discussion will need to reflected in someway in the document, either as a change in the mechanisms or an explicit statement of scope.
[Huaimo] Removed GMPLS from abstract. 
>
> - You can define values for objects/TLVs defined in this document.
[Huaimo] Defined values for new objects/TLVs.
>
> - You combined v4/v6 object definition is subject to misinterpretation. 
> It needs to be clarified.  I suggest using past RFCs as a reference of how this can be done, e.g., see RFC4875.
[Huaimo] Defined IPv4 and IPv6 objects separately.
>
> - You should reference where the FAST_REROUTE object is defined in 
> section 4.2 
[Huaimo] Removed this section. Moved flags into EGRESS_BACKUP object since the flags are specific to egress protection.
>
> - Section 5 seems to be a mix informative and normative text.  It's not clear if all required behaviors have normative language. I suspect there are a number of cases missing - particularly, but not exclusively, in the language around processing that is the same as / different than RFC4090, which is generally very loosely defined.
> 
[Huaimo] Separated informative and normative text, make sure all required behaviors in normative language.
>
> - The term "The S2L Sub LSP Protection" is first in the procedures section.  It's definition / introduction is needed somewhere, either by reference or earlier in the document.  Consider if you even need to introduce this new term.
> 
[Huaimo] Introduced "S2L Sub LSP Protection". 
>
> - Section 6.3 seems like it's going to be an informative section, but then conformance language shows up.  I suspect the conformance language belongs in Section 5.
> 
[Huaimo] Removed the conformance language in this section.
>
> - Section 7 is pretty light, I suspect you can find more to say on this topic.
> 
[Huaimo] Added more on this topic.
>
> - The iana section doesn't follow rfc5226.  See some recent RFCs for examples. (I just reviewed draft-ietf-teas-rsvp-te-li-lb and it provides an example for exiting registries, but not establishing a new one. 
> 
[Huaimo] Re-wrote IANA section.
>
> - Your references need to be revisited/cleaned up.  There are some clearly stale references and the normative/informative split doesn't make a whole lot of sense.
> 
[Huaimo] Cleaned up the references.

Best Regards,
Huaimo
-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Wednesday, March 18, 2015 8:41 AM
To: Huaimo Chen; [email-masked]
Cc: Toy, Mehmet; [email-masked]; Autumn Liu; [email-masked]; Lu Huang; Tarek Saad; Fengman Xu; [email-masked]; Lizhenbin
Subject: Re: [Teas] I-D Action: draft-ietf-teas-rsvp-egress-protection-01.txt

Huaimo, Co-authors, WG,

A general comment: When addressing comments sent to the list, please respond directly to the message containing the comments and discuss the details of how you (plan to) address the comment.  Alternatively, you can summarize the details of each issue resolution in a single message after publication of a new version.  In other words "We addressed the comments from..." is a bit too terse.

Thanks,
Lou

On 3/13/2015 6:05 PM, Huaimo Chen wrote:
> Subject: [Teas] I-D Action: 
> draft-ietf-teas-rsvp-egress-protection-01.txt
>
>